#
# Conditional build:
%bcond_with	tests 		# perform "make test"
%bcond_without	libresolv	# link against libresolv (creates architecture-dependent package)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	DNS
Summary:	Net::DNS - Perl interface to the DNS resolver
Summary(pl.UTF-8):	Net::DNS - interfejs perlowy do resolvera DNS
Name:		perl-Net-DNS
Version:	0.83
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f1d48107ff6b366479ad035783486d7a
Patch0:		%{name}-ignore-resolv_conf-open-errors.patch
URL:		http://search.cpan.org/dist/Net-DNS/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	sed >= 4.0
%if %{with tests}
BuildRequires:	perl-Digest-BubbleBabble
BuildRequires:	perl-Digest-HMAC >= 1.01
BuildRequires:	perl-Digest-MD5 >= 2.13
BuildRequires:	perl-Digest-SHA >= 5.23
BuildRequires:	perl-IO-Socket-INET6 >= 2.51
BuildRequires:	perl-MIME-Base64 >= 2.11
BuildRequires:	perl-Test-Pod >= 0.95
BuildRequires:	perl-Test-Simple >= 0.52
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Digest-HMAC >= 1.01
Requires:	perl-Digest-MD5 >= 2.13
Requires:	perl-Digest-SHA >= 5.23
Requires:	perl-MIME-Base64 >= 2.11
# not autodetected
Provides:	perl(Net::DNS::DomainName1035) = 964
Provides:	perl(Net::DNS::DomainName2535) = 964
%if %{without libresolv}
BuildArch:	noarch
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::DNS is a DNS resolver implemented in Perl. It allows the
programmer to perform nearly any type of DNS query from a Perl script.

%description -l pl.UTF-8
Net::DNS jest resolverem DNS, zaimplementowanym w Perlu. Pozwala
programiście na wykonanie niemal każdego typu zapytania DNS ze skryptu
Perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%{__sed} -i -e 's#/''usr/local/bin/perl#/''usr/bin/perl#' demo/* contrib/*

%build
%{__perl} Makefile.PL </dev/null \
	%{!?with_libresolv:--no-xs} \
	--no-online-tests \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	%{?with_libresolv:OPTIMIZE="%{rpmcflags}"}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Net/DNS/Resolver

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT
cp -a demo/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a contrib $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# get rid of pod documentation
%if %{with libresolv}
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Net/DNS/*.pod
%else
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/Net/DNS/*.pod
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorlib}/Net/DNS
%if %{with libresolv}
%{perl_vendorarch}/Net/DNS.pm
%{perl_vendorarch}/Net/DNS
%dir %{perl_vendorarch}/auto/Net/DNS
%attr(755,root,root) %{perl_vendorarch}/auto/Net/DNS/DNS.so
%else
%{perl_vendorlib}/Net/DNS.pm
%endif

%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}
%changelog
* Mon Mar 21 2016 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Net-DNS.git;a=log;h=master

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 3014898
- release 2 (by relup.sh)

* Sun Mar 15 2015 Jakub Bogusz <qboosh@pld-linux.org> f9d5e0f
- updated dependencies

* Fri Mar 06 2015 Adam Osuchowski <adwol@pld-linux.org> a385dcb
- up to 0.83

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 43c1e04
- x32 rebuild
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 4a07bee
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 350f84e
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 29e23d2
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Tue Jun 18 2013 Jakub Bogusz <qboosh@pld-linux.org> 14d3356
- updated to 0.72

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 99e1046
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Mon Feb 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 6f0570e
- added undetected (but required) Net::DNS::DomainNameNNNN caps as Provides

* Mon Feb 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 37cc800
- updated to 0.68
- updated versioned build-time deps, added versioned install time deps (autodetected only as unversioned)
- dropped obsolete security todo, done almost 4 years ago (added note to version 0.63/rev. 1.85)

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> 7c0bd53
- up to 0.67

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 42207d8
- rel 3

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 1bf3b04
- release 2

* Sun Jun 06 2010 radek <radek@pld-linux.org> d30e385
- switch Source0 to by-authors index

* Mon May 10 2010 dzeus <dzeus@pld-linux.org> d26baad
- up to 0.66

* Tue Jan 05 2010 Elan Ruusamäe <glen@pld-linux.org> 3f60690
- release 4

* Sun Jan 03 2010 sparky <sparky@pld-linux.org> 2d53541
- added ignore-resolv_conf-open-errors patch; rel 3

* Sun Jan 03 2010 sparky <sparky@pld-linux.org> ad25085
- fix for PLD builders, shouldn't brake anything else

* Thu Sep 17 2009 amateja <amateja@pld-linux.org> 479c27f
- tests switched off by default because they keep trying to access /etc/resolv.conf

